### Type parameters

- #### R

### Hierarchy

- ReadableStreamReader

## Index

### Methods

- cancel
- read
- releaseLock

## Methods

### cancel

- cancel(): Promise<void>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11949

  #### Returns Promise<void>

### read

- read(): Promise<ReadableStreamReadResult<R>>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11950

  #### Returns Promise<ReadableStreamReadResult<R>>

### releaseLock

- releaseLock(): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:11951

  #### Returns void

Generated using TypeDoc